Page MenuHomePhabricator

Support for new Japanese era name "Reiwa"
Closed, ResolvedPublic

Description

We now supporting Japanese era name by MediaWiki.

New "Japanese era name" is start in 1 May 2019 00:00 (JST/UTC+09:00).

And that will be announce in 1 April 2019 11:30 (JST/UTC+09:00) by Japan government.
We should be support to new "Japanese era name".

Event Timeline

Rxy triaged this task as Normal priority.Mar 31 2019, 9:32 AM
Rxy created this task.
Restricted Application added a project: User-Rxy. · View Herald TranscriptMar 31 2019, 9:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Rxy moved this task from Backlog to Development on the User-Rxy board.Mar 31 2019, 9:32 AM
Rxy moved this task from Untriaged to Date and time on the I18n board.Mar 31 2019, 9:55 AM

If I understand correctly this will require CLDR 35.1, ICU 64.2 and Unicode 12.1 planned for 2019-05-07.

Aklapper renamed this task from Support for new "Japanese era name" to Support for new Japanese era name "Reiwa".Apr 1 2019, 5:33 AM
Bawolff added a subscriber: Bawolff.Apr 1 2019, 5:38 AM

If I understand correctly this will require CLDR 35.1, ICU 64.2 and Unicode 12.1 planned for 2019-05-07.

I don't think so. I mean there could be other places that the Japanese era is used, but for the primary place I think all that needs to be modified is around line 1978 of language/Language.php (in Language::tsToYear).

Ah, good. Thanks!

Change 500391 had a related patch set uploaded (by Rxy; owner: Rxy):
[mediawiki/core@master] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/500391

Rxy updated the task description. (Show Details)Apr 1 2019, 8:33 AM
Rxy updated the task description. (Show Details)Apr 1 2019, 8:36 AM
shinjiman added a subscriber: shinjiman.EditedApr 5 2019, 1:23 PM

Looks like the patch is good for go for that. Let see if any backport to the current supported branches is necessary or not.

Rxy added a comment.Apr 14 2019, 11:59 AM

Looks like the patch is good for go for that. Let see if any backport to the current supported branches is necessary or not.

I think need backport for current support versions

Rxy raised the priority of this task from Normal to High.Apr 20 2019, 11:37 AM

The patch should be deployed to Japanese language sites until May 1 JST..

Change 505479 had a related patch set uploaded (by Brian Wolff; owner: Rxy):
[mediawiki/core@REL1_33] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505479

The patch should be deployed to Japanese language sites until May 1 JST..

So next normal deploy to jawiki is may 2. So this change needs to be swatted to make the deadline. @Rxy : are you ok doing the sign up for swat, etc stuff? If not, let me know and I can handle that.

Change 500391 merged by jenkins-bot:
[mediawiki/core@master] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/500391

Change 505480 had a related patch set uploaded (by Brian Wolff; owner: Rxy):
[mediawiki/core@REL1_32] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505480

Change 505479 merged by jenkins-bot:
[mediawiki/core@REL1_33] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505479

Nirmos added a subscriber: Nirmos.Apr 22 2019, 5:55 AM

This comment looks strange:

mediawiki/core / languages/Language.php
/**
* Algorithm to convert Gregorian dates to Thai solar dates,
* Minguo dates or Minguo dates.
*
* Link: https://en.wikipedia.org/wiki/Thai_solar_calendar
*       https://en.wikipedia.org/wiki/Minguo_calendar
*       https://en.wikipedia.org/wiki/Japanese_era_name
*
* @param string $ts 14-character timestamp
* @param string $cName Calender name
* @return array Converted year, month, day
*/

Is it supposed to say "Thai solar dates, Minguo dates or Japanese era names"?

Change 505485 had a related patch set uploaded (by Brian Wolff; owner: Rxy):
[mediawiki/core@wmf/1.34.0-wmf.1] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505485

Change 505486 had a related patch set uploaded (by Brian Wolff; owner: Rxy):
[mediawiki/core@REL1_31] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505486

Rxy moved this task from Development to SWAT deploy on the User-Rxy board.Apr 22 2019, 6:26 AM

The patch should be deployed to Japanese language sites until May 1 JST..

So next normal deploy to jawiki is may 2. So this change needs to be swatted to make the deadline. @Rxy : are you ok doing the sign up for swat, etc stuff? If not, let me know and I can handle that.

https://wikitech.wikimedia.org/?diff=1824022 SWAT scheduled

Change 505488 had a related patch set uploaded (by Brian Wolff; owner: Rxy):
[mediawiki/core@REL1_30] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505488

Rxy added a comment.Apr 22 2019, 6:28 AM

This comment looks strange:

mediawiki/core / languages/Language.php
/**
* Algorithm to convert Gregorian dates to Thai solar dates,
* Minguo dates or Minguo dates.
*
* Link: https://en.wikipedia.org/wiki/Thai_solar_calendar
*       https://en.wikipedia.org/wiki/Minguo_calendar
*       https://en.wikipedia.org/wiki/Japanese_era_name
*
* @param string $ts 14-character timestamp
* @param string $cName Calender name
* @return array Converted year, month, day
*/

Is it supposed to say "Thai solar dates, Minguo dates or Japanese era names"?

oh, sure.

Minguo dates or Minguo dates should be Minguo dates or Japanese era names

Change 505480 merged by jenkins-bot:
[mediawiki/core@REL1_32] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505480

Change 505486 merged by jenkins-bot:
[mediawiki/core@REL1_31] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505486

Change 505489 had a related patch set uploaded (by Brian Wolff; owner: Rxy):
[mediawiki/core@REL1_27] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505489

Change 505488 abandoned by Brian Wolff:
Add support for new Japanese era name "Reiwa"

Reason:
1.30 isn't maintained anyways

https://gerrit.wikimedia.org/r/505488

Change 505489 merged by Brian Wolff:
[mediawiki/core@REL1_27] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505489

Change 505485 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.1] Add support for new Japanese era name "Reiwa"

https://gerrit.wikimedia.org/r/505485

Mentioned in SAL (#wikimedia-operations) [2019-04-23T23:23:18Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.1/languages/Language.php: SWAT T219728 Add support for new Japanese era name 'Reiwa' (duration: 00m 52s)

Rxy closed this task as Resolved.Apr 27 2019, 6:31 AM